missile = {}
missleImg = nil
-- Added missiles table - new table to hold our generated missiles
missiles = {}

function missile.load()
  -- changed missileImg to missile.img - you really need to be more consistent!
	missile.img = love.graphics.newImage('bullet.png')
	missile.width = 10
	missile.height = 10
	missile.speed = 100
  -- Added missile.dy and missile.dy
  missile.dx = 0
  missile.dy = 0
end
function missile.draw()
  -- Changed 0,0,0 to 255,255,255
  -- If the image color is 255,255,255 then it will be displayed as its true colours.
	love.graphics.setColor(255,255,255)
  -- Changed missile to missiles
	for i,v in ipairs(missiles) do
    -- Added v.x and v.y to the draw function so that they actually get drawn where intended.
		love.graphics.draw(missile.img,v.x,v.y)
	end
end

function missile.move(dt)
  -- Changed missile to missiles
	for i,v in ipairs(missiles) do
		v.y = v.y + (v.dy * dt)
		v.x = v.x + (v.dx * dt)
	end
end

function DRAW_MISSILE()
	missile.draw()
end
function UPDATE_MISSILE(dt)
	missile.move(dt)
end